import { Bot } from './../bot-model';
import { Provider } from './services/provider';
export interface Process {
    env: any;
}
export interface Context {
    args: any;
    bot: Bot;
}
export interface NlpResponse {
    intent: String;
    response: any;
}
export declare class Nlp {
    static request(context: Context): Promise<any>;
    static normalizeNlpResponse(context: Context, nlp: any): any;
    static response(context: Context, body: any): Promise<NlpResponse>;
    static getProvider(bot: any): Provider;
    static getIntents(context: Context): Promise<any>;
    static processBody(args: any): {
        event: any;
        text?: undefined;
    } | {
        text: any;
        event?: undefined;
    };
}
